/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import { ExitRequest } from "./exitRequest";
import { AreaRequest } from "./areaRequest";

export class FloorPlanRequest {
    public exits: ExitRequest[];

    public areas: AreaRequest[];

    /**
     * Creates a FloorPlanRequest.
     *
     * @param {ExitRequest} exits
     * @param {AreaRequest} areas
     */
    constructor(exits: ExitRequest[], areas: AreaRequest[]) {
        this.exits = exits;
        this.areas = areas;
    }
}